> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agents.labs.bandwidth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a browser run

> Create a run record for a browser test

This endpoint creates a run record using the draft definition. It does not place a phone call or run a complete conversation by itself. Use the console tester for browser conversations. Outbound calling is [temporarily disabled](/getting-started/index#calling-availability).


## OpenAPI

````yaml POST /api/v1/workflow/{workflow_id}/runs
openapi: 3.1.0
info:
  title: Bandwidth Agent Builder API
  version: v1
  description: >-
    Manage agents, place calls, and retrieve conversation results in your
    workspace.
servers:
  - url: https://agents.labs.bandwidth.com
    description: Workspace API
security: []
paths:
  /api/v1/workflow/{workflow_id}/runs:
    post:
      tags:
        - agents
      summary: Create a browser run
      description: Create a run record for a browser test
      operationId: create_workflow_run_api_v1_workflow__workflow_id__runs_post
      parameters:
        - name: workflow_id
          in: path
          required: true
          schema:
            type: integer
            title: Workflow Id
        - name: X-VOAI-ORGANIZATION-ID
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Voai-Organization-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWorkflowRunRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateWorkflowRunResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - LabsAuth: []
        - LabsApiKey: []
components:
  schemas:
    CreateWorkflowRunRequest:
      properties:
        mode:
          type: string
          enum:
            - webrtc
            - smallwebrtc
          title: Mode
        name:
          type: string
          title: Name
      type: object
      required:
        - mode
        - name
      title: CreateWorkflowRunRequest
    CreateWorkflowRunResponse:
      properties:
        id:
          type: integer
          title: Id
        workflow_id:
          type: integer
          title: Workflow Id
        name:
          type: string
          title: Name
        mode:
          type: string
          title: Mode
        created_at:
          type: string
          format: date-time
          title: Created At
        definition_id:
          type: integer
          title: Definition Id
        initial_context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Initial Context
      type: object
      required:
        - id
        - workflow_id
        - name
        - mode
        - created_at
        - definition_id
      title: CreateWorkflowRunResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    LabsAuth:
      type: http
      scheme: bearer
    LabsApiKey:
      type: apiKey
      in: header
      name: X-BW-LABS-AGENTS-API-KEY

````